//
//  NSMutableStringExtensions.swift
//  ACDGen
//
//  Created by Vanderlei Martinelli on 2015-07-15.
//  Copyright © 2015 Alecrim. All rights reserved.
//

import Foundation

extension NSMutableString {
    
    func appendLine() {
        self.appendString("\n")
    }
    
    func appendLine(aString: String, indentLevel: Int = 0) {
        for var level = 0; level < indentLevel; level++ {
            self.appendString("    ")
        }
        
        self.appendString("\(aString)\n")
    }
    
    func appendHeader(name: String, generated: Bool) {
        if generated {
            self.appendLine("//")
            self.appendLine("//  \(name).generated.swift")
            self.appendLine("//")
            self.appendLine("//  This code was generated by AlecrimCoreData code generator tool.")
            self.appendLine("//")
            self.appendLine("//  Changes to this file may cause incorrect behavior and will be lost if")
            self.appendLine("//  the code is regenerated.")
            self.appendLine("//")
            self.appendLine()
        }
        else {
//            let dateFormatter = NSDateFormatter()
//            dateFormatter.dateFormat = "yyyy-MM-dd"
//            let dateString = dateFormatter.stringFromDate(NSDate())
//            
            self.appendLine("//")
            self.appendLine("//  \(name).swift")
//            self.appendLine("//")
//            self.appendLine("//  Created on \(dateString).")
            self.appendLine("//")
            self.appendLine()
        }
    }
    
}

